%define major	0
%define libname %mklibname mousepad %{major}

Summary:	A simple text editor for Xfce
Name:		mousepad
Version:	0.6.5
Release:	%mkrel 2
License:	GPLv2+
Group:		Editors
URL:		https://www.xfce.org
# https://gitlab.xfce.org/apps/mousepad
Source0:	https://archive.xfce.org/src/apps/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	git-core
BuildRequires:	meson
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gspell-1)
BuildRequires:	pkgconfig(gtksourceview-4)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(libxfce4ui-2) >= 4.21.0
BuildRequires:	pkgconfig(libxfconf-0)
BuildRequires:	pkgconfig(polkit-gobject-1)

%description
Mousepad is a simple text editor for Xfce and originally based on Leafpad.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
Shared libraries for %{name}.

%prep
%autosetup -p1 -Sgit_am

%build
export CFLAGS="%{optflags} -Wno-deprecated-declarations"
%meson -Dkeyfile-settings=true
%meson_build

%install
%meson_install

# no -devel pkg atm
rm -rf %{buildroot}%{_libdir}/libmousepad.so

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS README*
%{_bindir}/mousepad
%{_datadir}/applications/org.xfce.mousepad.desktop
%{_datadir}/applications/org.xfce.mousepad-settings.desktop
%{_datadir}/glib-2.0/schemas/org.xfce.mousepad.gschema.xml
%{_datadir}/polkit-1/actions/org.xfce.mousepad.policy
%{_iconsdir}/hicolor/*/apps/org.xfce.mousepad.{png,svg}
%{_metainfodir}/org.xfce.mousepad.appdata.xml

#plugins
%dir %{_libdir}/mousepad/plugins/

%{_libdir}/mousepad/plugins/libmousepad-plugin-gspell.so
%{_datadir}/glib-2.0/schemas/org.xfce.mousepad.plugins.gspell.gschema.xml

%{_libdir}/mousepad/plugins/libmousepad-plugin-shortcuts.so

%files -n %{libname}
%{_libdir}/libmousepad.so.%{major}{,.*}


%changelog
* Tue Jul 08 2025 umeabot <umeabot> 0.6.5-2.mga10
+ Revision: 2251388
- Mageia 10 Mass Rebuild

* Sat Apr 12 2025 wally <wally> 0.6.5-1.mga10
+ Revision: 2175049
- new version 0.6.5
- switch to meson build

* Tue Oct 22 2024 wally <wally> 0.6.3-1.mga10
+ Revision: 2110226
- new version 0.6.3

* Thu Sep 19 2024 daviddavid <daviddavid> 0.6.2-2.mga10
+ Revision: 2099057
- rebuild for new gspell 1.14.0

* Mon Feb 05 2024 wally <wally> 0.6.2-1.mga10
+ Revision: 2037363
- new version 0.6.2

* Wed May 31 2023 wally <wally> 0.6.1-1.mga9
+ Revision: 1960111
- new version 0.6.1

* Fri Feb 10 2023 wally <wally> 0.6.0-1.mga9
+ Revision: 1940003
- new version 0.6.0

* Sun Jul 10 2022 wally <wally> 0.5.10-1.mga9
+ Revision: 1868256
- new version 0.5.10

* Sun Apr 03 2022 wally <wally> 0.5.9-1.mga9
+ Revision: 1842506
- new version 0.5.9

* Thu Mar 31 2022 umeabot <umeabot> 0.5.8-2.mga9
+ Revision: 1837126
- Mageia 9 Mass Rebuild

* Tue Nov 30 2021 wally <wally> 0.5.8-1.mga9
+ Revision: 1760126
- new version 0.5.8

* Fri Sep 24 2021 wally <wally> 0.5.7-1.mga9
+ Revision: 1746307
- new version 0.5.7

* Tue Aug 03 2021 wally <wally> 0.5.6-1.mga9
+ Revision: 1738896
- new version 0.5.6

* Mon May 17 2021 wally <wally> 0.5.5-1.mga9
+ Revision: 1725244
- new version 0.5.5
- add lib pkg for plugin support

* Sun Apr 04 2021 wally <wally> 0.5.4-1.mga9
+ Revision: 1713350
- new version 0.5.4

* Sun Feb 28 2021 wally <wally> 0.5.3-1.mga9
+ Revision: 1694252
- new version 0.5.3

* Sat Feb 27 2021 wally <wally> 0.5.2-1.mga9
+ Revision: 1692718
- new version 0.5.2

* Wed Dec 23 2020 wally <wally> 0.5.1-1.mga8
+ Revision: 1663206
- new version 0.5.1

* Mon Nov 30 2020 wally <wally> 0.5.0-2.mga8
+ Revision: 1650955
- build again with gtksourceview 4

* Mon Nov 30 2020 wally <wally> 0.5.0-1.mga8
+ Revision: 1650946
- new version 0.5.0

* Sat Nov 21 2020 wally <wally> 0.4.90-1.mga8
+ Revision: 1648177
- new version 0.4.90

* Sat Feb 15 2020 umeabot <umeabot> 0.4.2-2.mga8
+ Revision: 1527980
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Jul 31 2019 wally <wally> 0.4.2-1.mga8
+ Revision: 1426462
- new version 0.4.2
- rediff gtksourceview-4 patch
- add patch to workaround build error with gtksourceview-4

* Sun May 12 2019 wally <wally> 0.4.1-3.mga7
+ Revision: 1397481
- add patch to port to gtksourceview-4

* Sun Sep 23 2018 umeabot <umeabot> 0.4.1-2.mga7
+ Revision: 1299602
- Mageia 7 Mass Rebuild

* Sat Jun 02 2018 wally <wally> 0.4.1-1.mga7
+ Revision: 1233741
- new version 0.4.1

* Mon Apr 30 2018 wally <wally> 0.4.0-3.mga7
+ Revision: 1223942
- fix release

* Mon Apr 30 2018 wally <wally> 0.4.0-2.1.mga7
+ Revision: 1223913
- build with gtk3

* Tue Feb 09 2016 umeabot <umeabot> 0.4.0-2.mga6
+ Revision: 952431
- Mageia 6 Mass Rebuild

* Tue Mar 03 2015 wally <wally> 0.4.0-1.mga5
+ Revision: 817406
- new version 0.4.0
- remove OnlyShowIn=XFCE from .desktop file

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-5.mga5
+ Revision: 748907
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-4.mga5
+ Revision: 682606
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.0-3.mga4
+ Revision: 508005
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.3.0-2.mga3
+ Revision: 360295
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 30 2012 wally <wally> 0.3.0-1.mga3
+ Revision: 336370
- revive rewritten mousepad
- new version 0.3.0

* Mon May 28 2012 wally <wally> 0.2.16-10.mga3
+ Revision: 248613
- rebuild for new libxfce4util
- clean .spec

* Sat Apr 21 2012 wally <wally> 0.2.16-9.mga2
+ Revision: 232318
- add patch from upstream to fix find
- clean .spec a bit

* Thu Feb 17 2011 ahmad <ahmad> 0.2.16-8.mga1
+ Revision: 53072
- drop old/unneeded scriptlets
- drop BR perl(XML::Parser), already pulled in chroots AFAICS
- imported package mousepad


* Wed Jan 26 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.16-7mdv2011.0
+ Revision: 633047
- rebuild for new Xfce 4.8.0

* Sat Sep 18 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.16-6mdv2011.0
+ Revision: 579624
- rebuild for new xfce 4.7.0

* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.16-5mdv2010.1
+ Revision: 543274
- rebuild for mdv 2010.1

* Sat Oct 17 2009 Crispin Boylan <crisb@mandriva.org> 0.2.16-4mdv2010.0
+ Revision: 458044
- Add patch1
- Bump release
- Fix find with patch from ubuntu (upstream #5831)

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 0.2.16-3mdv2010.0
+ Revision: 440120
- rebuild

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.16-2mdv2009.1
+ Revision: 349164
- rebuild whole xfce

* Sat Feb 28 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.16-1mdv2009.1
+ Revision: 346126
- drop patch 1, not needed anymore
- update to new version 0.2.16

* Sat Jan 03 2009 Jérôme Soyer <saispo@mandriva.org> 0.2.14-1mdv2009.1
+ Revision: 324027
- New upstream release

* Sat Oct 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.13-5mdv2009.1
+ Revision: 294904
- rebuild for new Xfce4.6 beta1

* Tue Jul 29 2008 Thierry Vignaud <tv@mandriva.org> 0.2.13-4mdv2009.0
+ Revision: 252786
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Feb 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.13-2mdv2008.1
+ Revision: 170066
- Patch0: fix recent items sort

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.13-1mdv2008.1
+ Revision: 110066
- new version 0.2.13
- new license policy
- spec file clean

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.12-5mdv2008.0
+ Revision: 89948
- rebuild

* Sat Aug 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.12-4mdv2008.0
+ Revision: 71244
- remove X-MandrivaLinux from desktop file

* Wed May 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.12-3mdv2008.0
+ Revision: 32841
- s/imagemagick/ImageMagick

* Wed May 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.12-2mdv2008.0
+ Revision: 32817
- spec file clean
- drop old style menu
- tune up desktop file
- add icon macro to %%post and %%postun


* Tue Jan 23 2007 plouf <plouf> 0.2.12-1mdv2007.0
+ Revision: 112308
- New release 0.2.12

* Tue Dec 12 2006 Jérôme Soyer <saispo@mandriva.org> 0.2.10-1mdv2007.1
+ Revision: 95212
- New release 0.2.10
- Import mousepad

* Tue Jul 11 2006 Charles A Edwards <eslrahc@mandriva.org> 0.2.6-1mdv2007.0
- 0.2.6
- xdg

* Thu Apr 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.2.4-2mdk
- Fix BuildRequires

* Wed Apr 26 2006 Jerome Soyer <saispo@mandriva.org> 0.2.4-1mdk
- New release 0.2.4

* Fri Nov 25 2005 Marcel Pol <mpol@mandriva.org> 0.2.2-3mdk
- fix menu

* Tue Aug 02 2005 Marcel Pol <mpol@mandriva.org> 0.2.2-2mdk
- buildrequires ImageMagick

* Tue Apr 05 2005 Charles A Edwards <eslrahc@bellsouth.net> 0.2.2-1mdk
- 0.2.2

* Mon Mar 07 2005 Marcel Pol <mpol@mandrake.org> 0.2.1-1mdk
- 0.2.1
- buildrequires libxfcegui4-devel
- strip binary

* Thu Feb 03 2005 Charles A Edwards <eslrahc@bellsouth.net> 0.1.1-1mdk
- 0.1.1
- change Group to Editors
- BR chrpath and strip /bin

* Sat Jan 22 2005 Charles A Edwards <eslrahc@bellsouth.net> 0.1.0-1mdk
- 1st Mdk release

